package com.ifish.dto;


/**
 * 设备信息dto
 * @author Administrator
 *
 */
public class DeviceDto {
	/**
	 * 设备ID
	 */
	private Integer deviceId;
	/**
	 * 用户ID
	 */
	private Integer userId;
	/**
	 * mac地址
	 */
	private String macAddress;
	/**
	 * 是否授权
	 */
	private String isBlacklist;
	/**
	 * 显示名称
	 */
	private String showName;
	/**
	 * 是否主控
	 */
	private String isMaster;
	/**
	 * 硬件类型(后台维护)
	 */
	private String type;
	/**
	 * 控制个数
	 */
	private Integer controlAmount;
	/**
	 * 有无工作模式
	 */
	private String isWorkModel;
	/**
	 * 有无背光
	 */
	private String isLightness;
	/**
	 * 有无柜灯
	 */
	private String isSarkLamp;
	/**
	 * 是否显示预警设置
	 */
	private String isPushWendu;
	/**
	 * 定时器个数
	 */
	private Integer timerAmount;
	/**
	 * 今天是否提醒换水
	 */
	private String todayRemind;
	/**
	 * 换水提醒开关
	 */
	private String waterRemind;
	/**
	 * 下次提醒日期
	 */
	private String remindDate;
	/**
	 * 提醒周期
	 */
	private String remindCycle;
	/**
	 * 鱼缸厂信息
	 */
	private VenderDto venderDto;
	
	public DeviceDto() {}
	
	public DeviceDto(Integer deviceId, String macAddress, String showName, String isMaster, String type,String isBlacklist) {
		this.deviceId = deviceId;
		this.macAddress = macAddress;
		this.showName = showName;
		this.isMaster = isMaster;
		this.type = type;
		this.isBlacklist = isBlacklist;
	}

	public Integer getDeviceId() {
		return deviceId;
	}
	public void setDeviceId(Integer deviceId) {
		this.deviceId = deviceId;
	}
	public String getMacAddress() {
		return macAddress;
	}
	public void setMacAddress(String macAddress) {
		this.macAddress = macAddress;
	}
	public String getShowName() {
		return showName;
	}
	public void setShowName(String showName) {
		this.showName = showName;
	}
	public String getIsMaster() {
		return isMaster;
	}
	public void setIsMaster(String isMaster) {
		this.isMaster = isMaster;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getTodayRemind() {
		return todayRemind;
	}
	public void setTodayRemind(String todayRemind) {
		this.todayRemind = todayRemind;
	}
	public String getWaterRemind() {
		return waterRemind;
	}
	public void setWaterRemind(String waterRemind) {
		this.waterRemind = waterRemind;
	}
	public String getRemindDate() {
		return remindDate;
	}
	public void setRemindDate(String remindDate) {
		this.remindDate = remindDate;
	}
	public String getRemindCycle() {
		return remindCycle;
	}
	public void setRemindCycle(String remindCycle) {
		this.remindCycle = remindCycle;
	}
	public VenderDto getVenderDto() {
		return venderDto;
	}
	public void setVenderDto(VenderDto venderDto) {
		this.venderDto = venderDto;
	}
	public Integer getControlAmount() {
		return controlAmount;
	}
	public void setControlAmount(Integer controlAmount) {
		this.controlAmount = controlAmount;
	}
	public Integer getTimerAmount() {
		return timerAmount;
	}
	public void setTimerAmount(Integer timerAmount) {
		this.timerAmount = timerAmount;
	}
	public String getIsBlacklist() {
		return isBlacklist;
	}
	public void setIsBlacklist(String isBlacklist) {
		this.isBlacklist = isBlacklist;
	}
	public String getIsWorkModel() {
		return isWorkModel;
	}
	public void setIsWorkModel(String isWorkModel) {
		this.isWorkModel = isWorkModel;
	}
	public String getIsLightness() {
		return isLightness;
	}
	public void setIsLightness(String isLightness) {
		this.isLightness = isLightness;
	}
	public String getIsSarkLamp() {
		return isSarkLamp;
	}
	public void setIsSarkLamp(String isSarkLamp) {
		this.isSarkLamp = isSarkLamp;
	}
	public String getIsPushWendu() {
		return isPushWendu;
	}
	public void setIsPushWendu(String isPushWendu) {
		this.isPushWendu = isPushWendu;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	
}
